| Home | Libraries | People | FAQ | More

###### params_ref::replace (1 of 3 overloads)

Replace elements.

###### Synopsis

    iterator
    replace(
        iterator pos,
        param_view const& p);

###### Description

This function replaces the contents of the element at `pos` with the specified param.

All iterators that are equal to `pos` or come after are invalidated.

###### Example

    url u( "?first=John&last=Doe" );

    u.params().replace( u.params().begin(), { "title" , "Mr" });

    assert( u.encoded_query() == "title=Mr&last=Doe" );

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Return Value

An iterator to the element.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator to the element.
`p` | The param to assign.